#include <stdio.h>
#include <string.h>
#include <stdlib.h>

#define MAXSIMBS 200
#define MAXCELLS 10

int main()
{
	char commands[MAXSIMBS + 1];
	int * cells = (int *) calloc(MAXCELLS, sizeof(int));	
	int i, cells_used = 1, cell_index = 0, last;
	scanf("%s", commands);
	last = strlen(commands);
	if (commands[0] != '#' || commands[last - 1] != '#') {
		puts("SYNTAX ERROR");
		return 0;
	}
	for (i = 1; i < last - 1; i++) {
		switch (commands[i]) {
			case '#': 
				puts("SYNTAX ERROR");
				return 0;
			case '>':
				cell_index++;
				if (cells_used <= cell_index)
					cells_used++;
				break;
			case '<': 
				cell_index--;
				break;
			case '+':
				cells[cell_index]++;
				break;
			case '-':
				cells[cell_index]--;
				break;
			case '*':
				cells[cell_index] += 10;
				break;
			case '@':
				cells[cell_index] -= 10;
				break;
			case '.':
				printf("%c", cells[cell_index]);									  	
		}
	}
	printf("\nCELLS USED: %d\n", cells_used);
	return 0;
}
